[Bps-public-commit] BPS git mailer tools branch, master, updated. a44207c2f4a6033cc74a32b0b4d6ac727b4ce4f3
jesse
jesse at bestpractical.com
Thu Feb 19 10:28:23 EST 2009
The branch, master has been updated
via a44207c2f4a6033cc74a32b0b4d6ac727b4ce4f3 (commit)
from e74a5dbcca36d16a85f47a689d37fb5a9d7dd183 (commit)
Summary of changes:
create-repo | 24 ++++++++++++++++++++++++
1 files changed, 24 insertions(+), 0 deletions(-)
create mode 100755 create-repo
- Log -----------------------------------------------------------------
commit a44207c2f4a6033cc74a32b0b4d6ac727b4ce4f3
Author: Jesse Vincent <jesse at bestpractical.com>
Date: Thu Feb 19 10:27:58 2009 -0500
Added a script to automatically create repos
diff --git a/create-repo b/create-repo
new file mode 100755
index 0000000..aef0e63
--- /dev/null
+++ b/create-repo
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+REPO=$1
+
+if [ "foo$REPO" == "foo" ]; then
+ echo "You need to specify a repo name"
+ exit;
+fi
+
+ssh fsck.com "ls -d /git/$REPO.git" > /dev/null 2>&1
+
+if [ "$?" == "0" ]; then
+ echo "That repository already exists"
+ exit;
+fi
+
+ssh fsck.com "\
+ mkdir /git/$REPO.git && \
+ cd /git/$REPO.git && \
+ git init --shared --bare && \
+ chgrp -R rt-pub-svn /git/$REPO.git && \
+ cd hooks && \
+ echo \". /usr/local/git-mailer/post-receive-email\" >> post-receive"
+
-----------------------------------------------------------------------
More information about the Bps-public-commit
mailing list